## kover 4

=== CMakeLists.txt ===
project(kover)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )
include_directories( ${CMAKE_CURRENT_BINARY_DIR} )

set(VERSION 4)
set(PACKAGE ${PROJECT_NAME})

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_subdirectory(src)

install(FILES kover.1  DESTINATION  ${MAN_INSTALL_DIR}/man1 )

SET(CPACK_BINARY_BUNDLE "OFF")
SET(CPACK_SOURCE_GENERATOR "TBZ2")
SET(CPACK_PACKAGE_VERSION ${VERSION})
SET(CPACK_SOURCE_PACKAGE_FILE_NAME ${PROJECT_NAME}-${VERSION})
SET(CPACK_SOURCE_IGNORE_FILES ${CMAKE_CURRENT_BINARY_DIR} "/.git/")

INCLUDE(CPack)

=== getcover/CMakeLists.txt ===
project(getcover)

include(FindPkgConfig)

set(VERSION 1)
set(PACKAGE ${PROJECT_NAME})

set(CMAKE_C_FLAGS "-g -Wall")

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

pkg_check_modules(BLA libcurl)
pkg_check_modules(BLU libxml-2.0)
pkg_check_modules(BLO glib-2.0)

add_executable(${PROJECT_NAME} ${PROJECT_NAME}.c)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${BLA_INCLUDE_DIRS})
include_directories(${CMAKE_CURRENT_BINARY_DIR} ${BLU_INCLUDE_DIRS})
include_directories(${CMAKE_CURRENT_BINARY_DIR} ${BLO_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME} ${BLA_LDFLAGS})
target_link_libraries(${PROJECT_NAME} ${BLU_LDFLAGS})
target_link_libraries(${PROJECT_NAME} ${BLO_LDFLAGS})

=== src/CMakeLists.txt ===
include(FindPkgConfig)

set(${PROJECT_NAME}_SRCS
   main.cpp
   kover_config.cc
   pd.cpp
   sd.cpp
   server.cpp
   cddb_fill.cc
   pa.cpp
   categories.cc
   cddb_211_item.cc
   inexact_dialog.cc
   koverfile.cpp
   cdview.cc
   kovertop.cc
   id.cc 
   directory.cc
   without_cd.cc
)

pkg_check_modules(CDIO REQUIRED libcdio)
pkg_check_modules(CDDB REQUIRED libcddb)
set(CMAKE_C_FLAGS "-g -Wall")
include_directories(${CDIO_INCLUDE_DIRS})
include_directories(${CDDB_INCLUDE_DIRS})

kde4_add_executable(${PROJECT_NAME} ${kover_SRCS})

target_link_libraries(${PROJECT_NAME} ${KDE4_KDEUI_LIBS})
target_link_libraries(${PROJECT_NAME} ${KDE4_KIO_LIBS})
target_link_libraries(${PROJECT_NAME} ${KDE4_KFILE_LIBS})
target_link_libraries(${PROJECT_NAME} ${CDIO_LDFLAGS})
target_link_libraries(${PROJECT_NAME} ${CDDB_LDFLAGS})

install(TARGETS kover DESTINATION ${BIN_INSTALL_DIR} )
install(FILES kover.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install(FILES kover.xml  DESTINATION  ${XDG_MIME_INSTALL_DIR} )
install(FILES koverui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kover )

add_subdirectory(icons)

=== debian/changelog ===
kover (1:4-11) unstable; urgency=medium

  * Rename the PACKAGE and VERSION macros to K_PACKAGE and K_VERSION, like
    it was done upstream: this fixes the KDE name and version of the
    application, so configuration files, translations, etc, are properly
    loaded; patch fix-PACKAGE-VERSION.diff.
  * Rewrite copyright as copyright-format v1.0, and update it.
  * Set the cmake minimum version required and policies; cmake-policy.diff.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Oct 2016 16:48:59 +0200

kover (1:4-10) unstable; urgency=medium

  * Switch myself as Maintainer, as agreed with Rene Engelhard -- thanks Rene
    for all the 14 years of work on it!
  * Stop converting the application PNG icon to xpm, as it was used only by
    the (removed already) Debian menu entry.
    - drop the imagemagick build dependency, no more useful now
  * Use a kover.docs file to install the documentation files, instead of
    passing the file names to dh_installdocs.
  * Do not pass ChangeLog explicitly to dh_installchangelogs, as in
    compat >= 7 (which we use) is detected automatically.
  * Switch format to "3.0 (quilt)".
  * Convert the patches from dpatch to integrated quilt: (Closes: #668640)
    - 02_make-kover.desktop-valid.dpatch: replace with the upstream commit
      5670584e275d2eb119744717291979a11becafa4; patch
      upstream_make-kover.desktop-valid.patch
    - 10-missing_headers.dpatch: replace with the upstream commit
      234296fa6816848c35ad3838efb711bb2e005bd9; patch
      upstream_fix-compilation-errors-with-gcc-4.4.patch
    - make sure upstream_make-kover.desktop-valid.patch is applied
      (Closes: #622303)
    - remove all the patch/unpatch stuff in rules
    - drop the dpatch build dependency, no more useful now
  * Rewrite rules to use the dh sequencer:
    - cmake is correctly configured by debhelper (Closes: #831269)
    - there is no extra RPATH in binaries, so drop the chrpath build dependency
    - enable parallel build
  * Add the Homepage field.
  * Add the Vcs-Browser & Vcs-Git fields.
  * Add a watch file.
  * Link in as-needed mode.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Backport upstream commit e023986e8561ceb71cfef055de8f6b652230133f to build
    and install all the available translations; patch
    upstream_applied-patch-from-Adi-Roiban-adi-roiban.ro.patch. (LP: #478507)

 -- Pino Toscano <pino@debian.org>  Sat, 01 Oct 2016 15:45:29 +0200

kover (1:4-9) unstable; urgency=medium

  * bump dh compat to 9 (closes: #817513); dh_clean -k -> dh_prep
  * remove menu file

 -- Rene Engelhard <rene@debian.org>  Thu, 07 Jul 2016 11:36:26 +0200

kover (1:4-8) unstable; urgency=low

  * fix KDE menu placement, thanks Pino Toscano (closes: #622303) 

 -- Rene Engelhard <rene@debian.org>  Mon, 05 Aug 2013 00:07:24 +0200

kover (1:4-7) unstable; urgency=medium

  * add explicit build-dep on cmake now that kdelibs5-dev dropped its
    cmake dep (closes: #581271) 

 -- Rene Engelhard <rene@debian.org>  Wed, 12 May 2010 10:38:32 +0200

kover (1:4-6) unstable; urgency=low

  * clean up dmake usage, thanks pusling 

 -- Rene Engelhard <rene@debian.org>  Mon, 08 Jun 2009 22:21:41 +0200

kover (1:4-5) unstable; urgency=high

  * The .oO ( don't apply patches.u.c patches with patch -p0 ) release.
  * fix Maintainer:

 -- Rene Engelhard <rene@debian.org>  Mon, 04 May 2009 18:20:15 +0200

kover (1:4-4) unstable; urgency=low

  * currenty install koverui.rc into /usr/share/kde4/apps/kover
    (closes: #524183)

 -- Rene Engelhard <rene@debian.org>  Mon, 04 May 2009 18:19:54 +0200

kover (1:4-3) unstable; urgency=low

  * merge from Ubuntu:
    + Add dpatch support.
    + Add debian/patches/10-missing_headers.dpatch to fix FTBFS.
    (closes: #526157)

 -- Rene Engelhard <rene@debian.org>  Wed, 29 Apr 2009 19:04:15 +0200

kover (1:4-2) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Tue, 07 Apr 2009 08:48:04 +0200

kover (1:4-1) experimental; urgency=low

  * New upstream release
  * point to GPL-2 in copyright, thanks lintian 

 -- Rene Engelhard <rene@debian.org>  Tue, 17 Feb 2009 02:31:00 +0100

kover (1:3-3ubuntu1) jaunty; urgency=low

  * Merge from debian unstable.
  * debian/rules: Add --without-arts option to configure command.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 18 Feb 2009 17:57:21 +0100

kover (1:3-2) experimental; urgency=low

  * Build-Depends: libqt3-compat-headers (closes: #506391)

 -- Rene Engelhard <rene@debian.org>  Fri, 21 Nov 2008 09:35:07 +0100

kover (1:3-1) experimental; urgency=low

  * new upstream release 
    - window resizable now (closes: #399570)
    - cdtext.cc gone, so closes: #504899 indirectly
  * run dh_icons (closes: #483614)

 -- Rene Engelhard <rene@debian.org>  Wed, 19 Nov 2008 01:42:33 +0100

kover (1:2.9.6-5ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes (LP: #235743):
    - Added dh_icons
    - Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Nathan Handler <mrcheatr@gmail.com>  Thu, 29 May 2008 06:19:03 -0500

kover (1:2.9.6-5) unstable; urgency=low

  * add patch from Barry deFfreese to get rid of libqt3-compat-haeders, thanks
    (closes: #465173)

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Feb 2008 10:24:06 +0100

kover (1:2.9.6-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix encoding for changelog. Closes: #453993
  * Change the menu section to "Applications" (thanks, lintian)

 -- Christian Perrier <bubulle@debian.org>  Mon, 04 Feb 2008 23:24:36 +0100

kover (1:2.9.6-4ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Added dh_iconcache
  * Modify Maintainer value to match Debian-Maintainer-Field Spec

  [ Alexander Sack ]
  * After digging around and talking to Steve Kowalik I found out that
    debian/patches/10_configure_no_ansi was added because of FTBFS with
    linux-libc-dev, which according to 1:2.9.6-4 is now fixed by rene


=== debian/control ===
Source: kover
Section: graphics
Priority: optional
Maintainer: Pino Toscano <pino@debian.org>
Build-Depends: kdelibs5-dev (>= 4:4.2.2), debhelper (>= 9), libcdio-cdda-dev, libcddb2-dev, pkg-config, cmake
Standards-Version: 3.9.8
Homepage: https://lisas.de/kover/
Vcs-Browser: https://anonscm.debian.org/cgit/users/pino/kover.git
Vcs-Git: https://anonscm.debian.org/git/users/pino/kover.git

Package: kover
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: WYSIWYG CD cover printer
 Kover is a WYSIWYG CD cover printer. You have the ability to enter
 the title, contents, set background colors, enter text, embed images
 or stream the title and tracks from CDDB (including CDDB Code 211).
 Kover can authenticate through a proxy (Basic, but not Digest) for
 accessing CDDB, and make a CDDB request just by entering the CDDB ID
 (i.e., no need to have the CD inserted).

## kover 6

=== CMakeLists.txt ===
project(kover)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )
include_directories( ${CMAKE_CURRENT_BINARY_DIR} )

set(K_VERSION 6)
set(K_PACKAGE ${PROJECT_NAME})

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)


add_subdirectory(src)
add_subdirectory(po)

install(FILES kover.1  DESTINATION  ${MAN_INSTALL_DIR}/man1 )

SET(CPACK_BINARY_BUNDLE "OFF")
SET(CPACK_SOURCE_GENERATOR "TBZ2")
SET(CPACK_PACKAGE_VERSION ${K_VERSION})
SET(CPACK_SOURCE_PACKAGE_FILE_NAME ${PROJECT_NAME}-${K_VERSION})
SET(CPACK_SOURCE_IGNORE_FILES ${CMAKE_CURRENT_BINARY_DIR} "/.git/")

INCLUDE(CPack)

=== getcover/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include(FindPkgConfig)
 
-set(VERSION 1)
+set(VERSION 2)
 set(PACKAGE ${PROJECT_NAME})
 
 set(CMAKE_C_FLAGS "-g -Wall")

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
        SET(catalogname kover)
 
        ADD_CUSTOM_TARGET(translations ALL)
 
        FILE(GLOB PO_FILES *.po)
 
        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
 
                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
 
                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )
 
        ENDFOREACH(_poFile ${PO_FILES})
 
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== src/icons/CMakeLists.txt ===
kde4_install_icons(${ICON_INSTALL_DIR})
install(FILES kover_back_content.png DESTINATION ${ICON_INSTALL_DIR})
install(FILES kover_back_title_content.png DESTINATION ${ICON_INSTALL_DIR})
install(FILES kover_cdaudio.png DESTINATION ${ICON_INSTALL_DIR})
install(FILES kover_front_title-content-right_content-left.png DESTINATION ${ICON_INSTALL_DIR})
install(FILES kover_front_title_only.png DESTINATION ${ICON_INSTALL_DIR})
install(FILES kover_front_title-right_content-left.png DESTINATION ${ICON_INSTALL_DIR})
install(FILES kover_one_page.png DESTINATION ${ICON_INSTALL_DIR})

=== debian/changelog ===
kover (1:6-1) unstable; urgency=medium

  * New upstream release:
    - uses cdio >= 0.90 (Closes: #881795)
  * Update the patches:
    - upstream_fix-compilation-errors-with-gcc-4.4.patch: drop, backported
      from upstream
    - upstream_make-kover.desktop-valid.patch: drop, backported from upstream
    - upstream_applied-patch-from-Adi-Roiban-adi-roiban.ro.patch: drop,
      backported from upstream
    - fix-PACKAGE-VERSION.diff: remove upstream changes, leave parts in
      comments (so it can be upstreamed)
  * Bump the libcdio-cdda-dev build dependency to >= 0.90, as required by
    upstream.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Remove trailing spaces in changelog.

 -- Pino Toscano <pino@debian.org>  Wed, 15 Nov 2017 20:22:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: graphics
 Priority: optional
 Maintainer: Pino Toscano <pino@debian.org>
-Build-Depends: kdelibs5-dev (>= 4:4.2.2), debhelper (>= 9), libcdio-cdda-dev, libcddb2-dev, pkg-config, cmake
-Standards-Version: 3.9.8
+Build-Depends: kdelibs5-dev (>= 4:4.2.2), debhelper (>= 9), libcdio-cdda-dev (>= 0.90), libcddb2-dev, pkg-config, cmake
+Standards-Version: 4.1.1
 Homepage: https://lisas.de/kover/
 Vcs-Browser: https://anonscm.debian.org/cgit/users/pino/kover.git
 Vcs-Git: https://anonscm.debian.org/git/users/pino/kover.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

#export DH_VERBOSE=1

%:
	dh $@ --parallel

=== debian/watch ===
version=4

https://lisas.de/kover/download.php3 \
  kover-([0-9\.]+)\.tar\.(?:xz|bz2|gz)
